---
lang: en
title: 'API docs: repository.createmodelclassbinding'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.createmodelclassbinding.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [createModelClassBinding](./repository.createmodelclassbinding.md)

## createModelClassBinding() function

Create a binding for the given model class

<b>Signature:</b>

```typescript
export declare function createModelClassBinding<M extends Class<unknown>>(modelClass: M): Binding<M>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  modelClass | M | Model class |

<b>Returns:</b>

[Binding](./context.binding.md)<!-- -->&lt;M&gt;


